Subject: [PATCH v2] drivers: firmware: psci: unify enable-method binding on ARM {64, 32}-bit systems

From: [email-masked] (Sudeep Holla)
Date: Tue, 26 Apr 2016 12:22:49 +0100

Hi Jisheng,

On 26/04/16 12:02, Jisheng Zhang wrote:
> Dear Arnd, Sudeep,
>
> On Tue, 26 Apr 2016 12:49:00 +0200 Arnd Bergmann wrote:
>

[...]

>>
>> Applied to the fixes branch. I have to admit that I don't understand
>> how the compatible string is really used here, so I have to trust that
>> this cannot break any existing machine.
>
> To be honest, this breaks some Marvell DEBU's 32 bit SoCs' kernel, but these

Sorry for that, but it's better to fix it in the firmware/DT.
As I mentioned earlier it was never honored in the kernel before v4.6,
so technically nothing is broken yet :)

> SoCs' support are not mainlined yet, so it's fine to fix it as early as
> possible.
>

Good to hear that. Thanks indeed.

-- 
Regards,
Sudeep